Subject: 30.0.93; Suggested command: narrow-to-thing-at-point

From: Phil Sainty <[email-masked]>
Date: Tue, 11 Feb 2025 01:33:56 +1300

This command occurred to me today as a useful way to leverage the
thing-at-point machinery.

I've put together the attached implementation as a first pass, based on
what I could glean of the current thing-at-point functionality.

I didn't see any existing ways of listing known/valid things.  If I'm
gathering this correctly, it might be useful to separate that bit out
into another function.

What do you think?

-Phil